package eGuideDog::Browser::Tab;

use strict;

sub new {
  my $self = {history => [],
	      id => undef,
	      current_control => undef,
	     };
  bless $self, __PACKAGE__;
  return $self;
}

sub current_control {
  my ($self, $control) = @_;
  if (defined $control) {
    $self->{current_control} = $control;
    return $control;
  } else {
    return $self->{current_control};
  }
}

sub push_control {
  my ($self, $control) = @_;

  push(@{$self->{history}}, $control);
}

sub pop_control {
  my ($self) = @_;

  return pop(@{$self->{history}});
}

1;
